extends ../../layout

block scripts
    script(src='/css/demo/default/custom/crud/forms/widgets/select2.js' type='text/javascript')
    script(src='/css/demo/default/custom/crud/forms/widgets/bootstrap-markdown.js' type='text/javascript')
    script(src='/css/demo/default/custom/crud/forms/widgets/ion-range-slider.js' type='text/javascript')
    script.
          // 2. Save instance to variable
          var reviewData = JSON.parse(("#{reviewJson}").replace(/&quot;/g,'"'));
          $("#grade-slider").ionRangeSlider({
            onStart: function (data) {
              // Called right after range slider instance initialised
            },

            onChange: function (data) {
              // Called every time handle position is changed
            },

            onFinish: function (data) {
              // Called then action is done and mouse is released
            },

            onUpdate: function (data) {
              // Called then slider is changed using Update public method
            }
          });
            $('textarea[name="description"]').val(reviewData.data.description);
          $('.moment-date').each(function (key, value) {
            var newDate = value.innerText.slice(0, 15);
            value.innerHTML = newDate;
          });


block content
    .m-grid__item.m-grid__item--fluid.m-wrapper
        .m-subheader
            .d-flex.align-items-center
                .mr-auto
                    h3.m-subheader__title.m-subheader__title--separator #{title}
                    ul.m-subheader__breadcrumbs.m-nav.m-nav--inline
                        li.m-nav__item.m-nav__item--home
                            a.m-nav__link.m-nav__link--icon(href='/dashboard')
                                i.m-nav__link-icon.la.la-home
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='/employees')
                                span.m-nav__link-text Employees
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='/employee/' + employee._id + '/reviews')
                                span.m-nav__link-text Reviews
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='#')
                                span.m-nav__link-text #{title}
        .m-content
            .m-portlet
                .m-portlet__body.m-portlet__body--no-padding
                    .m-invoice-1
                        .m-invoice__wrapper
                            form(action="/employee/review/"+ review._id + "/update" method="POST")
                                .m-invoice__head(style='background-image: url(/css/app/media/img//bg/bg-6.jpg);')
                                    .m-invoice__container.m-invoice__container--centered
                                        .m-invoice__logo
                                            input(name='title', value=review.data.title placeholder='New Review Title' style="background: none;\n" +
                                            "border: none;\n"+
                                            "font-size: 24pt;\n"+
                                            "color: #ffffff;")
                                            a(href='#')
                                                h1 Employee
                                        span.m-invoice__desc
                                            span #{employee.profile.name} | #{employee.email}
                                            span #{employee.profile.phone}, #{employee.profile.gender}
                                        .m-invoice__items
                                            .m-invoice__item
                                                span.m-invoice__subtitle DATE CREATED
                                                span.m-invoice__text.moment-date=review.createdAt
                                            .m-invoice__item
                                                span.m-invoice__subtitle &#x9;&#x9;&#x9;&#x9&#x9;&#x9;
                                                span.m-invoice__text &#x9;&#x9;&#x9;&#x9
                                            .m-invoice__item
                                                span.m-invoice__subtitle GRADED BY
                                                span.m-invoice__text
                                                    | #{user.profile.name} | #{user.profile.location}
                                                    br
                                                    | #{user.address.country}, #{user.address.postcode}
                                .m-invoice__body.m-invoice__body--centered
                                    .table-responsive
                                        table.table.col-12
                                            tbody
                                                tr
                                                    td
                                                        .form-group.m-form__group(style="margin-bottom: 2em;")
                                                            label(for='m_select2_1')
                                                                span Review Data
                                                            hr
                                                            br
                                                            .input-group.m-input-group(style="margin-bottom: 1.5em;padding-top: 3.5em;")
                                                                select#m_select2_1.form-control.m-select2(name='employee' disabled)
                                                                    option(value=1) #{employee.profile.name} | #{employee.profile.occupation}
                                                                label(for='estimate')
                                                                input#estimate.form-control(type='number' placeholder='estimate points' name='estimate' value= review.data.estimate)
                                                                div.input-group-append
                                                                    span.input-group-text#points_addon
                                                                        i.flaticon-exclamation-1
                                                                label(for='consumed')
                                                                input#consumed.form-control(type='number' step="0.1" placeholder='consumed hours' name='consumed' value= review.data.consumed)
                                                                div.input-group-append
                                                                    span.input-group-text#hours_addon
                                                                        i.flaticon-clock-1
                                                tr
                                                    td
                                                        .form-group.m-form__group(style="margin-bottom: 2.5em;margin-top: 0.5em;")
                                                            label.col-form-label.col-lg-3.col-sm-12(style="color:#444444 !important;") Grade
                                                            .col-lg-12.col-md-12.col-sm-12
                                                                .m-ion-range-slider
                                                                    input#grade-slider(type='hidden' name="grade" data-block="true" data-type="single" data-grid="true" value= review.data.grade * 10)
                                                tr
                                                    td.col-lg-8.col-md-8.col-sm-12.offset-lg-6.offset-md-6(style="color:#444444 !important;")
                                                        .form-group.m-form__group(style="margin-bottom: 0.5em;margin-top: 2.5em;")
                                                            input(type='hidden', name='_csrf', value=_csrf)
                                                            textarea.form-control(name='description' data-provide='markdown' rows='12')
                                .m-invoice__footer
                                    .m-invoice__container.m-invoice__container--centered
                                        .m-invoice__content
                                            span CANCEL UPDATES
                                            a.btn.btn-outline-warning(href="/employee/" + employee._id + "/review/" + review._id + "/details") Close
                                        .m-invoice__content
                                            span UPDATE REVIEW
                                            button.btn.btn-primary(type='submit') Save
